.panel.panel-default{"ng-controller" => "SurveyCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Land Holding with survey Numbers
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th Survey number
            %th Type of land
            %th Holding in acres
            %th Present land value (Rs)
            %th Soil type
            %th Quality
      
        %tbody
          %tr{ "ng-repeat" => "survey in data_list "}
            %td {{ survey.survey_number.number }}
            %td {{ survey.type_of_land}}
            %td {{ survey.holding_acres }}
            %td {{ survey.present_land_value }}
            %td {{ survey.soil_type }}
            %td {{ survey.quality }}
            %td
              %a{ "ng-click" => "edit(survey.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(survey.id, survey.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr#form_survey
            %td
              %select{"ng-model" => "vm.survey_number", "ng-options" => "survey_number.number for survey_number in survey_numbers track by survey_number.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = select_tag :type_of_land, options_for_select(["Irrigated","Dry","Permanent Fallow"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.type_of_land"
            %td
              = number_field :holding_acres, '', :class => "form-control", "ng-model" => "vm.holding_acres"
            %td
              = number_field :present_land_value, '', :class => "form-control", "ng-model" => "vm.present_land_value"
            %td
              = select_tag :soil_type, options_for_select(["Black","Red", "Laterite"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.soil_type"
            %td
              = select_tag :quality, options_for_select(["Fertile","Unfertile","Eroded","Saline","Alkaline"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.quality"  
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"} 

%div
  %br/
  %strong Note:
  1 acre of Irrigated land = 2 acres of Dry land
  %br/
  %br/
  %strong Holding is classified as follows:
  %br/
  1. Landless (0 acres)
  %br/
  2. Marginal (0.1 to 2.47 acres)
  %br/
  3. Small (2.48 to 4.94 acres)
  %br/
  4. Semi Medium (4.95 to 9.88 acres)
  %br/
  5. Medium (9.89 to 24.7 acres)
  %br/
  6. Large (&gt; 24.8 acres)
